#!/usr/bin/env bash

# build a hugo site and upload it to neocities
# usage: ./upload.sh mestizo.monster
# inspired by: https://gitlab.com/unixispower/after-the-beep/-/blob/main/_utils/upload

# load config file
CONFIG_FILE="$1/upload.conf"
. "$CONFIG_FILE"

# export variable from config file
export NEOCITIES_API_KEY

# build site
if [ "$ENGINE" = "hugo" ]; then
  hugo -s "$1" -d "../$SITE_DIR"
fi

# push index last to ensure resources are available
neocities push -e index.html "$SITE_DIR"
neocities upload "$SITE_DIR/index.html"

rm -fr $SITE_DIR
